POST /v1/rules/apply

Re-run every rule. Manual categories are never changed.

Auth. Send the token in the X-Ledger-Token header.

Responses

StatusMeaningBody
200How many transactions changedobject
429Too many requests from this client address. Wait the number of seconds in Retry-After, then try again.Error

Example response

{
  "set": 0,
  "cleared": 0
}

Code samples

Set KEY to your own token first.

curl

curl \
  -X POST \
  -H X-Ledger-Token:$KEY \
  "https://api.sasek.org/ledger/v1/rules/apply"

JavaScript

const res = await fetch("https://api.sasek.org/ledger/v1/rules/apply", {
  method: "POST",
  headers: { "X-Ledger-Token": KEY },
});
const data = await res.json();

Python

import json
import os
import urllib.request

request = urllib.request.Request(
    "https://api.sasek.org/ledger/v1/rules/apply",
    method="POST",
    headers={
        "X-Ledger-Token": os.environ["KEY"],
    },
)
with urllib.request.urlopen(request) as response:
    print(json.load(response))